using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.SRM
{
    /// <summary>
    ///  SRM520
    /// </summary>
    [DataContract]
    public class WCS_SRM520 :ISRM520
    {
        /// <inheritdoc/>
        [DataMember(Order = 0)]
        public short Res1 { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 1)]
        public short Res2 { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 2)]
        public short Res3 { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 3)]
        public short GoodsType { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 4)]
        public SrmRunSpeedEnum RunSpeed { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 5)]
        public short SLine { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 6)]
        public short SCol { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 7)]
        public short SLayer { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 8)]
        public ForkPosition SDepth { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 9)]
        public short ELine { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 10)]
        public short ECol { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 11)]
        public short ELayer { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 12)]
        public ForkPosition EDepth { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 13)]
        public int TaskNumber { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 14)]
        public short VoucherNo { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 15)]
        public short OkAck { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 16)]
        public SrmTaskTypeEnum TaskType { get; set; }

        /// <inheritdoc/>
        [DataMember(Order = 17)]
        public short Cmd { get; set; }
    }
}
